# Conditional build:
%bcond_with	doc		# don't build doc
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	geopy
Summary:	A Geocoding Toolbox for Python
Name:		python-%{module}
Version:	1.23.0
Release:	6
License:	MIT
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/g/geopy/geopy-%{version}.tar.gz
# Source0-md5:	e8b7d678665fab26ce3e8ff97f352ee8
URL:		https://pypi.python.org/pypi/geopy
BuildRequires:	rpmbuild(macros) >= 1.710

%if %{with python2}
## BuildRequires:	pylint
BuildRequires:	python-devel
BuildRequires:	python-setuptools
%endif
%if %{with python3}
## BuildRequires:	pylint-python3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif

BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
geopy makes it easy for developers to locate the coordinates of
addresses, cities, countries, and landmarks across the globe using
third-party geocoders and other data sources, such as wikis.

geopy currently includes support for six geocoders: Google Maps,
Yahoo! Maps, Windows Local Live (Virtual Earth), geocoder.us,
GeoNames, MediaWiki pages (with the GIS extension), and Semantic
MediaWiki pages.


%package -n python3-%{module}
Summary:	-
Summary(pl.UTF-8):	-
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
geopy makes it easy for developers to locate the coordinates of
addresses, cities, countries, and landmarks across the globe using
third-party geocoders and other data sources, such as wikis.

geopy currently includes support for six geocoders: Google Maps,
Yahoo! Maps, Windows Local Live (Virtual Earth), geocoder.us,
GeoNames, MediaWiki pages (with the GIS extension), and Semantic
MediaWiki pages.

## %description -n python3-%{module} -l pl.UTF-8

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif


%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%dir %{py_sitescriptdir}/%{module}/geocoders
%{py_sitescriptdir}/%{module}/geocoders/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
## %doc AUTHORS CHANGES LICENSE
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-geopy.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 242cc28
- rebuild with tests and docs

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> c94dbaf
- Release 5 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 9fbc371
- drop python3-distribute deps

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> f9ca9c6
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 8c0a795
- rebuild with python 3.10

* Sat Mar 06 2021 Jan Rękorajski <baggins@pld-linux.org> c177cf1
- release 2 (by relup.sh)

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> 98b84bc
- up to 1.23.0 (last version with python 2 support)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e5f0485
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c5ee42
- release 2 (by relup.sh)

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> d0e4464
- up to 1.11.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6185f0f
- python 3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8e675db
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 32ceb72
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 178ae86
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3865792
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d0fe3fd
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e72c276
- python 3.4
- release 2 (by relup.sh)

* Mon Oct 13 2014 Mateusz Korniak <matkor@pld-linux.org> 7d09d44
- Version 1.3.0. Python 3 packages added.

* Mon May 12 2014 Mateusz Korniak <matkor@pld-linux.org> b34bfc8
- Version 0.99 .

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> a7b0249
- up to 0.94.1

